/*
 * *************************************************
 * Copyright (c) 2018 QMTH. All Rights Reserved.
 * Created by Deason on 2018-10-24 14:24:55.
 * *************************************************
 */

package cn.com.qmth.examcloud.core.print.common;

import java.io.Serializable;

/**
 * @author: fengdesheng
 * @since: 2018/10/17
 */
public class PageQuery implements Serializable {
    private static final long serialVersionUID = 1L;
    protected Integer pageNo;
    protected Integer pageSize;

    public PageQuery(Integer pageNo, Integer pageSize) {
        this.pageNo = pageNo;
        this.pageSize = pageSize;
    }

    public PageQuery() {

    }

    public Integer getPageNo() {
        if (pageNo == null || pageNo < 0) {
            // default value
            return 1;
        }
        return pageNo;
    }

    public Integer getPageSize() {
        if (pageSize == null || pageSize < 1) {
            // default value
            return 10;
        }
        return pageSize;
    }

    public void setPageNo(Integer pageNo) {
        this.pageNo = pageNo;
    }

    public void setPageSize(Integer pageSize) {
        this.pageSize = pageSize;
    }

}