/*
 * *************************************************
 * Copyright (c) 2018 QMTH. All Rights Reserved.
 * Created by Deason on 2018-10-25 13:52:52.
 * *************************************************
 */

package cn.com.qmth.examcloud.core.print.common.aspect;

import cn.com.qmth.examcloud.commons.base.exception.StatusException;
import cn.com.qmth.examcloud.core.print.common.Result;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.ControllerAdvice;
import org.springframework.web.bind.annotation.ExceptionHandler;
import org.springframework.web.bind.annotation.ResponseBody;

import static cn.com.qmth.examcloud.core.print.common.Result.error;

@ControllerAdvice(annotations = Controller.class)
public class AspectController {
    private final static Logger log = LoggerFactory.getLogger(AspectController.class);

    @ResponseBody
    @ExceptionHandler(value = RuntimeException.class)
    public Result handle(RuntimeException e) {
        if (e instanceof StatusException) {
            StatusException se = (StatusException) e;
            log.error(se.toJson());
            return new Result(se.getCode(), se.getDesc());
        }
        log.error(e.getMessage(), e);
        return error(e.getMessage());
    }

    @ResponseBody
    @ExceptionHandler(value = Exception.class)
    public Result handle(Exception e) {
        if (e instanceof StatusException) {
            StatusException se = (StatusException) e;
            log.error(se.toJson());
            return new Result(se.getCode(), se.getDesc());
        }
        log.error(e.getMessage(), e);
        return error(e.getMessage());
    }

}