/*
 * *************************************************
 * Copyright (c) 2018 QMTH. All Rights Reserved.
 * Created by Deason on 2018-10-17 15:18:02.
 * *************************************************
 */

package cn.com.qmth.examcloud.core.print.common.utils;

import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.util.Calendar;
import java.util.Date;

/**
 * 日期工具类
 *
 * @author: fengdesheng
 * @since: 2018/10/17
 */
public class DateUtils {
    private static final String YYYY_MM_DD = "yyyy-MM-dd";
    private static final String YYYY_MM_DD_HH_MM_SS = "yyyy-MM-dd HH:mm:ss";

    public static Date parse(String dateStr) {
        if (dateStr == null) {
            return null;
        }
        try {
            final int len = 10;
            if (dateStr.length() == len) {
                return new SimpleDateFormat(YYYY_MM_DD).parse(dateStr);
            }
            return new SimpleDateFormat(YYYY_MM_DD_HH_MM_SS).parse(dateStr);
        } catch (ParseException e) {
            e.printStackTrace();
            return null;
        }
    }

    public static String format(Date date) {
        if (date == null) {
            return null;
        }
        return new SimpleDateFormat(YYYY_MM_DD_HH_MM_SS).format(date);
    }

    public static Date changeMinute(Date date, int minute) {
        Calendar calendar = Calendar.getInstance();
        calendar.setTime(date);
        calendar.add(Calendar.MINUTE, minute);
        return calendar.getTime();
    }

    /**
     * 计算时间差
     */
    public static String diff(Date begin, Date end) {
        long diff = end.getTime() - begin.getTime();
        long day = diff / (24 * 60 * 60 * 1000);
        long hour = (diff / (60 * 60 * 1000) - day * 24);
        long minute = ((diff / (60 * 1000)) - day * 24 * 60 - hour * 60);
        long second = (diff / 1000 - day * 24 * 60 * 60 - hour * 60 * 60 - minute * 60);
        StringBuffer result = new StringBuffer();
        if (day > 0) {
            result.append(day).append("天");
        }
        if (hour > 0) {
            result.append(hour).append("小时");
        }
        result.append(minute).append("分");
        result.append(second).append("秒");
        return result.toString();
    }

}