/*
 * *************************************************
 * Copyright (c) 2018 QMTH. All Rights Reserved.
 * Created by Deason on 2018-10-17 16:28:20.
 * *************************************************
 */

package cn.com.qmth.examcloud.core.print.entity;

import cn.com.qmth.examcloud.core.print.common.IdEntity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Index;
import javax.persistence.Table;

/**
 * 客观题信息(用于Excel导出)
 */
@Entity
@Table(name = "ec_prt_objective_question_structure", indexes = {
        @Index(name = "INDEX_PRT_OBJECTIVE_QUESTION_01", columnList = "examId"),
        @Index(name = "INDEX_PRT_OBJECTIVE_QUESTION_02", columnList = "paperId")})
public class ObjectiveQuestionStructure extends IdEntity {
    /**
     * 考试ID
     */
    private Long examId;
    /**
     * 试卷ID
     */
    @Column(length = 50)
    private String paperId;
    /**
     * 课程ID
     */
    private Long courseId;
    /**
     * 课程代码
     */
    //@ExcelProperty(name = "课程代码", index = 0)
    @Column(length = 50)
    private String courseCode;
    /**
     * 课程名称
     */
    //@ExcelProperty(name = "课程名称", index = 1)
    @Column(length = 50)
    private String courseName;
    /**
     * 试卷名称
     */
    //@ExcelProperty(name = "试卷名称", index = 2)
    @Column(length = 50)
    private String paperName;
    /**
     * 试卷类型(如：A、B)
     */
    //@ExcelProperty(name = "试卷类型", index = 3)
    @Column(length = 50)
    private String paperType;
    /**
     * 题目类型
     *
     * @See QuesStructType.java
     */
    //@ExcelProperty(name = "题目类型", index = 6)
    @Column(length = 50)
    private String questionType;
    /**
     * 标准答案
     */
    //@ExcelProperty(name = "标准答案", index = 7)
    @Column(length = 50)
    private String answer;
    /**
     * 大题号
     */
    //@ExcelProperty(name = "大题号", index = 4)
    private Integer sectionNum;
    /**
     * 小题号
     */
    //@ExcelProperty(name = "小题号", index = 5)
    private Integer unitNum;
    /**
     * 小题分数
     */
    //@ExcelProperty(name = "小题分数", index = 8)
    private Double unitScore;

    public Long getExamId() {
        return examId;
    }

    public void setExamId(Long examId) {
        this.examId = examId;
    }

    public String getPaperId() {
        return paperId;
    }

    public void setPaperId(String paperId) {
        this.paperId = paperId;
    }

    public Long getCourseId() {
        return courseId;
    }

    public void setCourseId(Long courseId) {
        this.courseId = courseId;
    }

    public String getCourseCode() {
        return courseCode;
    }

    public void setCourseCode(String courseCode) {
        this.courseCode = courseCode;
    }

    public String getCourseName() {
        return courseName;
    }

    public void setCourseName(String courseName) {
        this.courseName = courseName;
    }

    public String getPaperName() {
        return paperName;
    }

    public void setPaperName(String paperName) {
        this.paperName = paperName;
    }

    public String getPaperType() {
        return paperType;
    }

    public void setPaperType(String paperType) {
        this.paperType = paperType;
    }

    public String getQuestionType() {
        return questionType;
    }

    public void setQuestionType(String questionType) {
        this.questionType = questionType;
    }

    public String getAnswer() {
        return answer;
    }

    public void setAnswer(String answer) {
        this.answer = answer;
    }

    public Integer getSectionNum() {
        return sectionNum;
    }

    public void setSectionNum(Integer sectionNum) {
        this.sectionNum = sectionNum;
    }

    public Integer getUnitNum() {
        return unitNum;
    }

    public void setUnitNum(Integer unitNum) {
        this.unitNum = unitNum;
    }

    public Double getUnitScore() {
        return unitScore;
    }

    public void setUnitScore(Double unitScore) {
        this.unitScore = unitScore;
    }

}