/*
 * *************************************************
 * Copyright (c) 2018 QMTH. All Rights Reserved.
 * Created by Deason on 2018-10-17 16:28:20.
 * *************************************************
 */

package cn.com.qmth.examcloud.core.print.entity;

import cn.com.qmth.examcloud.core.print.common.IdEntity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Index;
import javax.persistence.Table;
import java.util.Date;

/**
 * 印刷项目信息
 */
@Entity
@Table(name = "ec_prt_project", indexes = {
        @Index(name = "INDEX_PRT_PROJECT_01", columnList = "orgId"),
        @Index(name = "INDEX_PRT_PROJECT_02", columnList = "examId")})
public class PrintingProject extends IdEntity {
    /**
     * 学校机构ID
     */
    private Long orgId;
    /**
     * 考试ID
     */
    private Long examId;
    /**
     * 考试名称
     */
    @Column(length = 50)
    private String examName;
    /**
     * 学校机构名称
     */
    @Column(length = 50)
    private String orgName;
    /**
     * 供应商ID(表ecs_core_org的ID)
     */
    private Long supplierId;
    /**
     * 供应商名称
     */
    @Column(length = 50)
    private String supplierName;
    /**
     * 项目经理ID(表ecs_core_user的ID)
     */
    private Long pmId;
    /**
     * 项目经理名称
     */
    @Column(length = 50)
    private String pmName;
    /**
     * 印刷数据准备开始时间
     */
    private Date prepareStartTime;
    /**
     * 印刷数据准备结束时间
     */
    private Date prepareEndTime;
    /**
     * 具体印刷开始时间
     */
    private Date printStartTime;
    /**
     * 具体印刷结束时间
     */
    private Date printEndTime;
    /**
     * 邮寄开始时间
     */
    private Date mailStartTime;
    /**
     * 邮寄结束时间
     */
    private Date mailEndTime;
    /**
     * 项目是否已完成
     */
    private Boolean completed;

    public Long getOrgId() {
        return orgId;
    }

    public void setOrgId(Long orgId) {
        this.orgId = orgId;
    }

    public Long getExamId() {
        return examId;
    }

    public void setExamId(Long examId) {
        this.examId = examId;
    }

    public String getExamName() {
        return examName;
    }

    public void setExamName(String examName) {
        this.examName = examName;
    }

    public String getOrgName() {
        return orgName;
    }

    public void setOrgName(String orgName) {
        this.orgName = orgName;
    }

    public Long getSupplierId() {
        return supplierId;
    }

    public void setSupplierId(Long supplierId) {
        this.supplierId = supplierId;
    }

    public String getSupplierName() {
        return supplierName;
    }

    public void setSupplierName(String supplierName) {
        this.supplierName = supplierName;
    }

    public Long getPmId() {
        return pmId;
    }

    public void setPmId(Long pmId) {
        this.pmId = pmId;
    }

    public String getPmName() {
        return pmName;
    }

    public void setPmName(String pmName) {
        this.pmName = pmName;
    }

    public Date getPrepareStartTime() {
        return prepareStartTime;
    }

    public void setPrepareStartTime(Date prepareStartTime) {
        this.prepareStartTime = prepareStartTime;
    }

    public Date getPrepareEndTime() {
        return prepareEndTime;
    }

    public void setPrepareEndTime(Date prepareEndTime) {
        this.prepareEndTime = prepareEndTime;
    }

    public Date getPrintStartTime() {
        return printStartTime;
    }

    public void setPrintStartTime(Date printStartTime) {
        this.printStartTime = printStartTime;
    }

    public Date getPrintEndTime() {
        return printEndTime;
    }

    public void setPrintEndTime(Date printEndTime) {
        this.printEndTime = printEndTime;
    }

    public Date getMailStartTime() {
        return mailStartTime;
    }

    public void setMailStartTime(Date mailStartTime) {
        this.mailStartTime = mailStartTime;
    }

    public Date getMailEndTime() {
        return mailEndTime;
    }

    public void setMailEndTime(Date mailEndTime) {
        this.mailEndTime = mailEndTime;
    }

    public Boolean getCompleted() {
        return completed;
    }

    public void setCompleted(Boolean completed) {
        this.completed = completed;
    }

}