/*
 * *************************************************
 * Copyright (c) 2018 QMTH. All Rights Reserved.
 * Created by Deason on 2018-10-17 16:28:20.
 * *************************************************
 */

package cn.com.qmth.examcloud.core.print.entity;

import cn.com.qmth.examcloud.core.print.common.IdEntity;
import cn.com.qmth.examcloud.core.print.enums.TemplateType;

import javax.persistence.*;

/**
 * 印刷模板信息
 */
@Entity
@Table(name = "ec_prt_template", indexes = {
        @Index(name = "INDEX_PRT_TEMPLATE_01", columnList = "orgId"),
        @Index(name = "INDEX_PRT_TEMPLATE_02", columnList = "examId")})
public class PrintingTemplate extends IdEntity {
    /**
     * 学校机构ID
     */
    private Long orgId;
    /**
     * 考试ID
     */
    private Long examId;
    /**
     * 学校机构名称
     */
    @Column(length = 50)
    private String orgName;
    /**
     * 考试名称
     */
    @Column(length = 50)
    private String examName;
    /**
     * 模板类型
     */
    @Enumerated(EnumType.STRING)
    @Column(length = 50)
    private TemplateType templateType;
    /**
     * 文件地址
     */
    @Column(length = 200)
    private String templateUrl;
    /**
     * 文件名
     */
    @Column(length = 50)
    private String fileName;
    /**
     * 序号
     */
    private Integer orderNum;

    public Long getOrgId() {
        return orgId;
    }

    public void setOrgId(Long orgId) {
        this.orgId = orgId;
    }

    public Long getExamId() {
        return examId;
    }

    public void setExamId(Long examId) {
        this.examId = examId;
    }

    public String getOrgName() {
        return orgName;
    }

    public void setOrgName(String orgName) {
        this.orgName = orgName;
    }

    public String getExamName() {
        return examName;
    }

    public void setExamName(String examName) {
        this.examName = examName;
    }

    public TemplateType getTemplateType() {
        return templateType;
    }

    public void setTemplateType(TemplateType templateType) {
        this.templateType = templateType;
    }

    public String getTemplateUrl() {
        return templateUrl;
    }

    public void setTemplateUrl(String templateUrl) {
        this.templateUrl = templateUrl;
    }

    public String getFileName() {
        return fileName;
    }

    public void setFileName(String fileName) {
        this.fileName = fileName;
    }

    public Integer getOrderNum() {
        return orderNum;
    }

    public void setOrderNum(Integer orderNum) {
        this.orderNum = orderNum;
    }
}