/*
 * *************************************************
 * Copyright (c) 2018 QMTH. All Rights Reserved.
 * Created by Deason on 2018-10-17 16:28:20.
 * *************************************************
 */

package cn.com.qmth.examcloud.core.print.entity;

import cn.com.qmth.examcloud.core.print.common.IdEntity;
import cn.com.qmth.examcloud.core.print.enums.BackupGroupType;

import javax.persistence.*;

/**
 * 印刷项目-备份设置信息
 */
@Entity
@Table(name = "ec_prt_project_backup_setting", indexes = {
        @Index(name = "INDEX_PRT_PROJECT_BACKUP_01", columnList = "projectId")})
public class ProjectBackupSetting extends IdEntity {
    /**
     * 项目ID
     */
    private Long projectId;

    /* 每袋冗余设置 */
    /**
     * 每袋备份比例
     */
    private Double pkgPercent;
    /**
     * 每袋备份最大值
     */
    private Double pkgMax;
    /**
     * 每袋备份最小值
     */
    private Double pkgMin;

    /* 单独备份袋 */
    /**
     * 归集类型
     */
    @Enumerated(EnumType.STRING)
    private BackupGroupType groupType;
    /**
     * 单独备份比例
     */
    private Double pkgSinglePercent;
    /**
     * 单独备份最大值
     */
    private Double pkgSingleMax;
    /**
     * 单独备份最小值
     */
    private Double pkgSingleMin;

    public Long getProjectId() {
        return projectId;
    }

    public void setProjectId(Long projectId) {
        this.projectId = projectId;
    }

    public Double getPkgPercent() {
        return pkgPercent;
    }

    public void setPkgPercent(Double pkgPercent) {
        this.pkgPercent = pkgPercent;
    }

    public Double getPkgMax() {
        return pkgMax;
    }

    public void setPkgMax(Double pkgMax) {
        this.pkgMax = pkgMax;
    }

    public Double getPkgMin() {
        return pkgMin;
    }

    public void setPkgMin(Double pkgMin) {
        this.pkgMin = pkgMin;
    }

    public BackupGroupType getGroupType() {
        return groupType;
    }

    public void setGroupType(BackupGroupType groupType) {
        this.groupType = groupType;
    }

    public Double getPkgSinglePercent() {
        return pkgSinglePercent;
    }

    public void setPkgSinglePercent(Double pkgSinglePercent) {
        this.pkgSinglePercent = pkgSinglePercent;
    }

    public Double getPkgSingleMax() {
        return pkgSingleMax;
    }

    public void setPkgSingleMax(Double pkgSingleMax) {
        this.pkgSingleMax = pkgSingleMax;
    }

    public Double getPkgSingleMin() {
        return pkgSingleMin;
    }

    public void setPkgSingleMin(Double pkgSingleMin) {
        this.pkgSingleMin = pkgSingleMin;
    }

}