/*
 * *************************************************
 * Copyright (c) 2018 QMTH. All Rights Reserved.
 * Created by Deason on 2018-10-17 16:28:20.
 * *************************************************
 */

package cn.com.qmth.examcloud.core.print.entity;

import cn.com.qmth.examcloud.core.print.common.IdEntity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Index;
import javax.persistence.Table;

/**
 * 试题统计信息
 */
@Entity
@Table(name = "ec_prt_question_statistic", indexes = {
        @Index(name = "INDEX_PRT_QUESTION_STATISTIC_01", columnList = "examStructureId")})
public class QuestionStatistic extends IdEntity {
    /**
     * 考试试卷结构ID
     */
    private Long examStructureId;
    /**
     * 试题类型
     *
     * @See QuesStructType.java
     */
    @Column(length = 50)
    private String questionType;
    /**
     * 试题数量
     */
    private Integer questionTotal;

    public Long getExamStructureId() {
        return examStructureId;
    }

    public void setExamStructureId(Long examStructureId) {
        this.examStructureId = examStructureId;
    }

    public String getQuestionType() {
        return questionType;
    }

    public void setQuestionType(String questionType) {
        this.questionType = questionType;
    }

    public Integer getQuestionTotal() {
        return questionTotal;
    }

    public void setQuestionTotal(Integer questionTotal) {
        this.questionTotal = questionTotal;
    }

}