/*
 * *************************************************
 * Copyright (c) 2018 QMTH. All Rights Reserved.
 * Created by Deason on 2018-10-17 16:33:36.
 * *************************************************
 */

package cn.com.qmth.examcloud.core.print.api.provider;

import cn.com.qmth.examcloud.commons.web.support.ControllerSupport;
import cn.com.qmth.examcloud.core.print.api.PrintingProjectCloudService;
import cn.com.qmth.examcloud.core.print.api.bean.SyncPrintingProjectBean;
import cn.com.qmth.examcloud.core.print.api.request.SyncPrintingProjectReq;
import cn.com.qmth.examcloud.core.print.api.response.SyncPrintingProjectResp;
import cn.com.qmth.examcloud.core.print.common.utils.Check;
import cn.com.qmth.examcloud.core.print.service.PrintingProjectService;
import cn.com.qmth.examcloud.core.print.service.bean.OrgExamInfo;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * 印刷项目相关接口
 *
 * @author: fengdesheng
 * @since: 2018/10/17
 */
@RestController
@Api(tags = "印刷项目相关接口")
@RequestMapping("${$rmp.cloud.print}/printing/project")
public class PrintingProjectCloudServiceProvider extends ControllerSupport implements PrintingProjectCloudService {
    @Autowired
    private PrintingProjectService printingProjectService;

    @PostMapping("/sync")
    @ApiOperation(value = "同步(新增或更新)印刷项目信息")
    public SyncPrintingProjectResp syncPrintingProject(@RequestBody SyncPrintingProjectReq request) {
        Check.isNull(request, "请求参数不能为空！");

        SyncPrintingProjectBean bean = request.getBean();
        printingProjectService.syncPrintingProject(new OrgExamInfo(bean.getOrgId(), bean.getOrgName(), bean.getExamId(), bean.getExamName()));

        return new SyncPrintingProjectResp();
    }

}