/*
 * *************************************************
 * Copyright (c) 2018 QMTH. All Rights Reserved.
 * Created by Deason on 2018-10-17 16:31:14.
 * *************************************************
 */

package cn.com.qmth.examcloud.core.print.service;

import cn.com.qmth.examcloud.core.print.service.bean.OrgExamInfo;
import cn.com.qmth.examcloud.core.print.service.bean.PrintingProjectInfo;
import cn.com.qmth.examcloud.core.print.service.bean.PrintingProjectQuery;
import org.springframework.data.domain.Page;

/**
 * 印刷项目相关接口
 *
 * @author: fengdesheng
 * @since: 2018/10/17
 */
public interface PrintingProjectService {

    /**
     * 查询印刷项目列表(分页)
     */
    Page<PrintingProjectInfo> getPrintingProjectList(PrintingProjectQuery query);

    /**
     * 获取某印刷项目的信息
     */
    PrintingProjectInfo getPrintingProjectById(Long id);

    /**
     * 更新印刷项目信息
     */
    void updatePrintingProject(PrintingProjectInfo info);

    /**
     * 同步(新增或更新)印刷项目信息
     * 仅同步学校、考试的基本信息
     */
    void syncPrintingProject(OrgExamInfo examInfo);

    /**
     * 同步更新项目经理名称信息
     */
    void syncPrintingProjectPmName(Long pmId, String pmName);

    /**
     * 同步更新供应商名称信息
     */
    void syncPrintingProjectSupplierName(Long supplierId, String supplierName);

    /**
     * 印刷项目数据初始化
     */
    void initAllData();

}