/*
 * *************************************************
 * Copyright (c) 2018 QMTH. All Rights Reserved.
 * Created by Deason on 2018-10-24 14:38:26.
 * *************************************************
 */

package cn.com.qmth.examcloud.core.print.service.bean;

import cn.com.qmth.examcloud.core.print.entity.PrintingProject;
import com.google.common.collect.Lists;
import org.springframework.beans.BeanUtils;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.PageImpl;
import org.springframework.data.domain.PageRequest;
import org.springframework.data.domain.Pageable;

import java.util.List;
import java.util.stream.Collectors;

/**
 * @author: fengdesheng
 * @since: 2018/10/24
 */
public class PrintingProjectConvert {

    public static PrintingProject of(PrintingProjectInfo info) {
        PrintingProject entity = new PrintingProject();
        BeanUtils.copyProperties(info, entity);
        return entity;
    }

    public static PrintingProjectInfo of(PrintingProject entity) {
        PrintingProjectInfo info = new PrintingProjectInfo();
        BeanUtils.copyProperties(entity, info);
        return info;
    }

    public static Page<PrintingProjectInfo> ofPage(Page<PrintingProject> page) {
        Pageable pageable = new PageRequest(page.getNumber(), page.getSize());
        List<PrintingProject> entities = page.getContent();
        if (entities == null || entities.isEmpty()) {
            return new PageImpl<>(Lists.newArrayList(), pageable, page.getTotalElements());
        }
        List<PrintingProjectInfo> list = entities.stream().map(entity -> of(entity)).collect(Collectors.toList());
        return new PageImpl<>(list, pageable, page.getTotalElements());
    }

}